const getters = {
  token: state => state.user.token,//登录token
  logindate: state => state.user.logindate,//登录时间
  userinform: state => state.user.userinform,//用户信息
  name: state => state.user.name,//用户名
  avatar: state => state.user.avatar,//用户头像
  userId: state=> state.user.userId,//用户Id
  roles: state => state.user.roles,//身份
  permissions: state => state.user.permissions,//权限
  cartCount: state => state.user.cartCount,//购物车数量
  messageCount: state => state.user.messageCount,//站内消息
  companyStatus: state => state.user.companyStatus,//身份状态
  testerStatus: state => state.user.testerStatus,//测试者状态
  activeName: state => state.user.activeName,
  activeNameManager: state => state.user.activeNameManager,
  tooltypelist: state => state.dict.tooltypelist,//工具类型
  paytypelist: state => state.dict.paytypelist,//支付方式
  testtypelist: state => state.dict.testtypelist,//测试类型
  feescopelist: state => state.dict.feescopelist,//金额范围
  sidebar: state => state.app.sidebar,
  size: state => state.app.size,
  device: state => state.app.device,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  introduction: state => state.user.introduction,
  permission_routes: state => state.permission.routes,
  sidebarRouters:state => state.permission.sidebarRouters,
  websiteDomain: state => state.websiteDomain,
}
export default getters
